Package com.macrofocus.high_d.distributions

# Class DefaultDistributionsModel<Color,Row,Column,Value,Bin>

java.lang.Object
com.macrofocus.high_d.distributions.AbstractDistributionsModel<Color,Row,Column,Value,Bin>
com.macrofocus.high_d.distributions.DefaultDistributionsModel<Color,Row,Column,Value,Bin>

All Implemented Interfaces:
  `DistributionsModel<Color,Row,Column,Value,Bin>`, `com.macrofocus.visual.VisualObjects<Row>`

public class DefaultDistributionsModel<Color,Row,Column,Value,Bin> extends AbstractDistributionsModel<Color,Row,Column,Value,Bin> implements com.macrofocus.visual.VisualObjects<Row>

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DefaultDistributionsModel(com.macrofocus.crossplatform.CPFactory<?,?,?,Color> factory, com.macrofocus.colormap.ColorMapFactory<Color> colorMapFactory, com.macrofocus.molap.dataframe.DataFrame<Row,Column,?> dataFrame, com.macrofocus.molap.subset.SubsetDataFrame<Row,Column,Value> subsetDataFrame)`
  `DefaultDistributionsModel(com.macrofocus.crossplatform.CPFactory<?,?,?,Color> factory, com.macrofocus.molap.dataframe.DataFrame<Row,Column,?> dataFrame, com.macrofocus.molap.subset.SubsetDataFrame<Row,Column,Value> subsetDataFrame, com.macrofocus.visual.Visual<Color,Row,Column> visual)`
  `DefaultDistributionsModel(com.macrofocus.molap.dataframe.DataFrame<Row,Column,?> dataFrame, com.macrofocus.molap.subset.SubsetDataFrame<Row,Column,Value> subsetDataFrame, com.macrofocus.visual.Visual<Color,Row,Column> visual, com.macrofocus.high_d.axis.group.AxisGroupModel<Row,Column> axisGroupModel)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `com.macrofocus.molap.subset.DistributionDimension<Row,Value,Bin>`
  `createDistributionDimension(Column column, com.macrofocus.molap.subset.DistributionDimension.DistributionStrategy distributionStrategy)`
  `int`
  `getAxisCount()`
  Returns the number of axis composing the parallel coordinates plot.
  `com.macrofocus.high_d.axis.group.AxisGroupModel<Row,Column>`
  `getAxisGroupModel()`
  Gets all the axis composing this parallel coordinates plot.
  `com.macrofocus.coloring.MutableColoring<Color,Row>`
  `getColoring()`
  Gets model holding the colors of each object.
  `com.macrofocus.colormapping.MutableColorMapping<Color,Row,Column>`
  `getColorMapping()`
  Gets model holding the color mapping of each object.
  `Filter<Row>`
  `getFilter()`
  Obtains the model used for filtering objects in the scatter plot.
  `int`
  `getIndex(Row row)`
  `Double`
  `getLocation(com.macrofocus.high_d.axis.AxisModel axisModel)`
  Gets the normalized location of an axis.
  `Row`
  `getObject(int index)`
  `int`
  `getObjectCount()`
  Returns the number of data objects (typically rows).
  `MutableSingleSelection<Row>`
  `getProbing()`
  Obtains the model used for probing objects in the scatter plot (aka mouse over).
  `MutableSelection<Row>`
  `getSelection()`
  Obtains the model used for selecting objects in the scatter plot.
  `int`
  `getVisibleAxisCount()`
  `com.macrofocus.visual.Visual<Color,Row,Column>`
  `getVisual()`
  `void`
  `removeDistributionDimension(com.macrofocus.molap.subset.DistributionDimension<Row,Value,Bin> distributionDimension)`
  `void`
  `setLocation(com.macrofocus.high_d.axis.AxisModel axisModel, double l)`
  Sets the location of an axis within its group.

  ### Methods inherited from class com.macrofocus.high_d.distributions.AbstractDistributionsModel

  `addDistributionsListener, removeDistributionsListener`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### DefaultDistributionsModel

    public DefaultDistributionsModel(com.macrofocus.crossplatform.CPFactory<?,?,?,Color> factory, com.macrofocus.colormap.ColorMapFactory<Color> colorMapFactory, com.macrofocus.molap.dataframe.DataFrame<Row,Column,?> dataFrame, com.macrofocus.molap.subset.SubsetDataFrame<Row,Column,Value> subsetDataFrame)

  - ### DefaultDistributionsModel

    public DefaultDistributionsModel(com.macrofocus.crossplatform.CPFactory<?,?,?,Color> factory, com.macrofocus.molap.dataframe.DataFrame<Row,Column,?> dataFrame, com.macrofocus.molap.subset.SubsetDataFrame<Row,Column,Value> subsetDataFrame, com.macrofocus.visual.Visual<Color,Row,Column> visual)

  - ### DefaultDistributionsModel

    public DefaultDistributionsModel(com.macrofocus.molap.dataframe.DataFrame<Row,Column,?> dataFrame, com.macrofocus.molap.subset.SubsetDataFrame<Row,Column,Value> subsetDataFrame, com.macrofocus.visual.Visual<Color,Row,Column> visual, com.macrofocus.high_d.axis.group.AxisGroupModel<Row,Column> axisGroupModel)

- ## Method Details

  - ### getVisual

    public com.macrofocus.visual.Visual<Color,Row,Column> getVisual()
    Specified by:
      `getVisual` in interface `DistributionsModel<Color,Row,Column,Value,Bin>`

  - ### getObjectCount

    public int getObjectCount()
    Returns the number of data objects (typically rows).
    Specified by:
      `getObjectCount` in interface `DistributionsModel<Color,Row,Column,Value,Bin>`
    Specified by:
      `getObjectCount` in interface `com.macrofocus.visual.VisualObjects<Color>`
    Returns:
      the number of data objects

  - ### getProbing

    public MutableSingleSelection<Row> getProbing()
    Obtains the model used for probing objects in the scatter plot (aka mouse over).
    Specified by:
      `getProbing` in interface `DistributionsModel<Color,Row,Column,Value,Bin>`
    Returns:
      the model used for probing.

  - ### getSelection

    public MutableSelection<Row> getSelection()
    Obtains the model used for selecting objects in the scatter plot.
    Specified by:
      `getSelection` in interface `DistributionsModel<Color,Row,Column,Value,Bin>`
    Returns:
      the model used for selection.

  - ### getFilter

    public Filter<Row> getFilter()
    Obtains the model used for filtering objects in the scatter plot.
    Specified by:
      `getFilter` in interface `DistributionsModel<Color,Row,Column,Value,Bin>`
    Returns:
      the model used for filtering.

  - ### getColorMapping

    public com.macrofocus.colormapping.MutableColorMapping<Color,Row,Column> getColorMapping()
    Gets model holding the color mapping of each object.
    Specified by:
      `getColorMapping` in interface `DistributionsModel<Color,Row,Column,Value,Bin>`
    Returns:
      the model holding the color of each object.

  - ### getColoring

    public com.macrofocus.coloring.MutableColoring<Color,Row> getColoring()
    Gets model holding the colors of each object.
    Specified by:
      `getColoring` in interface `DistributionsModel<Color,Row,Column,Value,Bin>`
    Returns:
      the model holding the color of each object.

  - ### getObject

    public Row getObject(int index)
    Specified by:
      `getObject` in interface `DistributionsModel<Color,Row,Column,Value,Bin>`
    Specified by:
      `getObject` in interface `com.macrofocus.visual.VisualObjects<Color>`
    Parameters:
      `index` -
    Returns:

  - ### getIndex

    public int getIndex(Row row)
    Specified by:
      `getIndex` in interface `DistributionsModel<Color,Row,Column,Value,Bin>`

  - ### getAxisCount

    public int getAxisCount()
    Returns the number of axis composing the parallel coordinates plot.
    Specified by:
      `getAxisCount` in interface `DistributionsModel<Color,Row,Column,Value,Bin>`
    Returns:
      the number of axis

  - ### getLocation

    public Double getLocation(com.macrofocus.high_d.axis.AxisModel axisModel)
    Gets the normalized location of an axis.
    Specified by:
      `getLocation` in interface `DistributionsModel<Color,Row,Column,Value,Bin>`
    Parameters:
      `axisModel` - the axis
    Returns:
      its normalized location within the group

  - ### getAxisGroupModel

    public com.macrofocus.high_d.axis.group.AxisGroupModel<Row,Column> getAxisGroupModel()
    Gets all the axis composing this parallel coordinates plot.
    Specified by:
      `getAxisGroupModel` in interface `DistributionsModel<Color,Row,Column,Value,Bin>`
    Returns:

  - ### setLocation

    public void setLocation(com.macrofocus.high_d.axis.AxisModel axisModel, double l)
    Sets the location of an axis within its group.
    Specified by:
      `setLocation` in interface `DistributionsModel<Color,Row,Column,Value,Bin>`
    Parameters:
      `axisModel` - the axis
      `l` - its normalized location

  - ### getVisibleAxisCount

    public int getVisibleAxisCount()

  - ### createDistributionDimension

    public com.macrofocus.molap.subset.DistributionDimension<Row,Value,Bin> createDistributionDimension(Column column, com.macrofocus.molap.subset.DistributionDimension.DistributionStrategy distributionStrategy)
    Specified by:
      `createDistributionDimension` in interface `DistributionsModel<Color,Row,Column,Value,Bin>`

  - ### removeDistributionDimension

    public void removeDistributionDimension(com.macrofocus.molap.subset.DistributionDimension<Row,Value,Bin> distributionDimension)
    Specified by:
      `removeDistributionDimension` in interface `DistributionsModel<Color,Row,Column,Value,Bin>`